/*
 * Platz für eigene Änderungen direkt als CSS
 * Die hier gemachten Änderungen überschreiben ggfs. andere Styles, da diese Datei als letzte geladen wird.
 */

:root {
    --eit-primary: rgb(2, 35, 72);
    --eit-secondary: rgb(245, 100, 11);
    --bs-primary: rgb(2, 35, 72);
    --bs-secondary: rgb(245, 100, 11);
}

a,
.text-primary,
.btn-link {
    color: var(--eit-primary);
}

a:hover,
a:focus,
.btn-link:hover,
.btn-link:focus {
    color: var(--eit-secondary);
}

.bg-primary,
.badge-primary,
.btn-primary,
.page-item.active .page-link,
.nav-pills .nav-link.active,
.custom-control-input:checked ~ .custom-control-label::before {
    background-color: var(--eit-primary);
    border-color: var(--eit-primary);
    color: #fff;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:not(:disabled):not(.disabled):active,
.show > .btn-primary.dropdown-toggle {
    background-color: rgb(1, 28, 58);
    border-color: rgb(1, 28, 58);
    color: #fff;
}

.bg-secondary,
.badge-secondary,
.btn-secondary {
    background-color: var(--eit-secondary);
    border-color: var(--eit-secondary);
    color: #fff;
}

.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:not(:disabled):not(.disabled):active,
.show > .btn-secondary.dropdown-toggle {
    background-color: rgb(221, 90, 10);
    border-color: rgb(221, 90, 10);
    color: #fff;
}

.btn-outline-primary {
    border-color: var(--eit-primary);
    color: var(--eit-primary);
}

.btn-outline-primary:hover,
.btn-outline-primary:focus,
.btn-outline-primary:not(:disabled):not(.disabled):active {
    background-color: var(--eit-primary);
    border-color: var(--eit-primary);
    color: #fff;
}

.btn-outline-secondary {
    border-color: var(--eit-secondary);
    color: var(--eit-secondary);
}

.btn-outline-secondary:hover,
.btn-outline-secondary:focus,
.btn-outline-secondary:not(:disabled):not(.disabled):active {
    background-color: var(--eit-secondary);
    border-color: var(--eit-secondary);
    color: #fff;
}

.border-primary {
    border-color: var(--eit-primary) !important;
}

.border-secondary {
    border-color: var(--eit-secondary) !important;
}

.form-control:focus,
.custom-select:focus {
    border-color: var(--eit-secondary);
    box-shadow: 0 0 0 0.2rem rgba(245, 100, 11, 0.25);
}
